com.intellectualcrafters.plot.util

## Class RUtils

- java.lang.Object
- - com.intellectualcrafters.plot.util.RUtils

-     public class RUtils
      extends java.lang.Object

  Random utilities

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `compareDirections(org.bukkit.Location l1, org.bukkit.Location l2)`
    `void` | `forceTexture(org.bukkit.entity.Player p)` Force textures on the client
    `static java.lang.String` | `formatTime(double sec)` Get formatted time
    `com.intellectualcrafters.plot.util.RUtils.Direction` | `getDirection(org.bukkit.Location l)`
    `static long` | `getFreeRam()` Get the total free ram
    `static long` | `getRamPercentage()` Percentage of used ram
    `static long` | `getTotalRam()` Get the total allocated ram

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RUtils

          public RUtils()

  - ### Method Detail

    - #### getTotalRam

          public static long getTotalRam()

      Get the total allocated ram
      Returns:
        total ram

    - #### getFreeRam

          public static long getFreeRam()

      Get the total free ram
      Returns:
        free ram

    - #### getRamPercentage

          public static long getRamPercentage()

      Percentage of used ram
      Returns:
        percentage

    - #### formatTime

          public static java.lang.String formatTime(double sec)

      Get formatted time
      Parameters:
        `sec` - seconds
      Returns:
        formatted time

    - #### forceTexture

          public void forceTexture(org.bukkit.entity.Player p)

      Force textures on the client
      Parameters:
        `p` - texture to force

    - #### getDirection

          public com.intellectualcrafters.plot.util.RUtils.Direction getDirection(org.bukkit.Location l)

    - #### compareDirections

          public boolean compareDirections(org.bukkit.Location l1,
                                  org.bukkit.Location l2)